# Final struct final

Various uses of final keywords.

### Contents

- Reference
  - Base classes
  - Public functions

## Base classes

class Base protected
  Base class.

## Public functions

void doThing() const final noexcept(…)
  Final w/o override (will cause a compiler warning)
void doAnotherThing() final
  Final override.
void doYetAnotherThing() final
  Override final.

## Function documentation

### void Final::doThing() const final noexcept(…)

Final w/o override (will cause a compiler warning)

Details.

### void Final::doAnotherThing() final

Final override.

Details.

### void Final::doYetAnotherThing() final

Override final.

Details.